OPENSSL-PASSWD(1SSL)

NUME
openssl-passwd - calculează sumele de control ale parolelor

SINOPSIS
openssl passwd [-help] [-1] [-apr1] [-aixmd5] [-5] [-6] [-salt șir] [-in fișier] [-stdin] [-noverify] [-quiet] [-table] [-reverse] [-rand fișiere] [-writerand fișier] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq] [parola]

DESCRIERE
Această comandă calculează hash-ul unei parole introduse în timpul rulării sau hash-ul fiecărei parole dintr-o listă. Lista de parole este preluată din fișierul numit pentru opțiunea -in, de la intrarea standard pentru opțiunea -stdin, sau din linia de comandă, sau din terminal în caz contrar.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-1  Utilizează algoritmul de parolă BSD bazat pe MD5 1 (implicit).

-apr1
    Utilizează algoritmul apr1 (varianta Apache a algoritmului BSD).

-aixmd5
    Utilizează algoritmul AIX MD5 (varianta AIX a algoritmului BSD).

-5
-6  Utilizează algoritmii bazați pe SHA256 / SHA512 definiți de Ulrich Drepper. A se vedea <https://www.akkadia.org/drepper/SHA-crypt.txt>.

-salt șir
    Utilizează sarea specificată. Când se citește o parolă din terminal, aceasta implică -noverify.

-in filșier
    Citește parolele din fișier.

-stdin
    Citește parolele de la intrarea standard stdin.

-noverify
    Nu verifică atunci când citește o parolă din terminal.

-quiet
    Nu afișează avertismente când parolele introduse în linia de comandă sunt trunchiate.

-table
    În lista de ieșire, se adaugă parola în clar și un caracter TAB înaintea fiecărei sume de control de parolă.

-reverse
    Când se utilizează opțiunea -table, inversează ordinea textului în clar și a sumei de control.

-rand fișiere, -writerand fișier
    Consultați «Opțiuni de stare aleatorie» în openssl(1) pentru detalii.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

EXEMPLE
  % openssl passwd -1 -salt xxxxxxxx password
  $1$xxxxxxxx$UYCIxa628.9qXjpQCjM4a.

  % openssl passwd -apr1 -salt xxxxxxxx password
  $apr1$xxxxxxxx$dxHfLAsjHkDRmG83UXe8K0

  % openssl passwd -aixmd5 -salt xxxxxxxx password
  xxxxxxxx$8Oaipk/GPKhC64w/YVeFD/

ISTORIC
Opțiunea -crypt a fost eliminată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2021 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.